Subject: bug#26816: mouse movement support for OS X

From: Alan Third <[email-masked]>
Date: Tue, 16 May 2017 23:53:01 +0100

On Mon, May 15, 2017 at 08:23:27PM +0200, Charles A. Roelli wrote:
> Patch is attached, with a commit message.

For some reason I can’t apply this patch. It looks fine, and I can’t
see what the problem is at all.

Do you have commit access to the repository? If so then I don’t
suppose it matters if I can’t apply it locally, but if not then either
I need to fix this or someone else needs to push it for you.

Here’s the error from magit, in case it means something to someone:

128 git … am --3way -- /Users/alan/0001-Fix-macOS-mouse-movement.patch
Applying: Fix macOS mouse movement
Using index info to reconstruct a base tree...
M	src/nsfns.m
M	src/nsterm.m
error: patch failed: test/lisp/mouse-tests.el:47
error: test/lisp/mouse-tests.el: patch does not apply
error: Did you hand edit your patch?
It does not apply to blobs recorded in its index.
Patch failed at 0001 Fix macOS mouse movement
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".

-- 
Alan Third